GETVFSBYNAME(3)

NAME
getvfsbyname - get information about a filesystem

LIBRARY
libc

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
int
getvfsbyname(const char *name, struct vfsconf *vfc);

DESCRIPTION
The getvfsbyname() function provides access to information about a filesystem module that is configured in the kernel. If successful, the requested filesystem vfsconf is returned in the location pointed to by vfc. The fields in a “struct vfsconf” are defined as follows:

vfc_name
    the name of the filesystem
vfc_typenum
    the filesystem type number assigned by the kernel
vfc_refcount
    the number of active mount points using the filesystem

RETURN VALUES

ERRORS
The following errors may be reported:

[EFAULT]
    The vfc pointer contains an invalid address.

[ENOENT]
    The name specifies a filesystem that is unknown or not configured in the kernel.

SEE ALSO
mount(2), sysctl(3), mount(8), sysctl(8)

HISTORY
A variant of the getvfsbyname() function first appeared in FreeBSD 2.0.